The tests in subdirectories of this directory are supposed to be compiled for
mips64el MSA-enabled CPU (I6400, I6500), using an appropriate MIPS toolchain.
For example:

/opt/img/bin/mips-img-linux-gnu-gcc <source file>                  \
-EL -static -mabi=64 -march=mips64r6 -mmsa  -o <executable file>

They are to be executed using QEMU user mode, using command line:

mips64el-linux-user/qemu-mips64el -cpu I6400 <executable file>

Helper scripts test_msa_compile.sh and test_msa_run.sh are also
provided. This is an example of compilation and execution of all
MSA tests:

cd <QEMU root directory>
cd tests/tcg/mips/user/ase/msa

./test_msa_compile.sh
./test_msa_run.sh
